Chromium Code Reviews
Help | Chromium Project | Sign in
(2)

Issue 2742293004: Expose getters methods for NQE on UI thread (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 2 weeks ago by tbansal1 (OOO until Apr 26)
Modified:
1 month, 1 week ago
Reviewers:
Ryan Sturm
CC:
chromium-reviews, cbentzel+watch_chromium.org, tbansal+watch-nqe_chromium.org, net-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Expose getters methods for NQE on UI thread Expose getters methods for Network Quality Estimator (NQE) on UI thread. The methods expose estimates HTTP RTT, transport RTT and downstream throughput. BUG=700215 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.android:android_cronet_tester Review-Url: https://codereview.chromium.org/2742293004 Cr-Commit-Position: refs/heads/master@{#457274} Committed: https://chromium.googlesource.com/chromium/src/+/966d0cf62d587368c674f2eafd37739431e45c43

Patch Set 1 : ps #

Total comments: 4

Patch Set 2 : ryansturm comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+79 lines, -5 lines) Patch
M chrome/browser/net/nqe/ui_network_quality_estimator_service.h View 1 2 chunks +5 lines, -0 lines 0 comments Download
M chrome/browser/net/nqe/ui_network_quality_estimator_service.cc View 1 3 chunks +31 lines, -3 lines 0 comments Download
M chrome/browser/net/nqe/ui_network_quality_estimator_service_browsertest.cc View 1 2 chunks +12 lines, -0 lines 0 comments Download
M net/nqe/network_quality_estimator.h View 1 2 chunks +15 lines, -2 lines 0 comments Download
M net/nqe/network_quality_estimator.cc View 1 1 chunk +16 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 25 (20 generated)
tbansal1 (OOO until Apr 26)
ryansturm: ptal. Thanks.
1 month, 1 week ago (2017-03-15 18:21:11 UTC) #10
Ryan Sturm
Fix up related comments if you decide to use base::optional. lgtm https://codereview.chromium.org/2742293004/diff/40001/chrome/browser/net/nqe/ui_network_quality_estimator_service.h File chrome/browser/net/nqe/ui_network_quality_estimator_service.h (right): ...
1 month, 1 week ago (2017-03-15 18:25:30 UTC) #12
tbansal1 (OOO until Apr 26)
https://codereview.chromium.org/2742293004/diff/40001/chrome/browser/net/nqe/ui_network_quality_estimator_service.h File chrome/browser/net/nqe/ui_network_quality_estimator_service.h (right): https://codereview.chromium.org/2742293004/diff/40001/chrome/browser/net/nqe/ui_network_quality_estimator_service.h#newcode49 chrome/browser/net/nqe/ui_network_quality_estimator_service.h:49: bool GetHttpRTT(base::TimeDelta* http_rtt) const override WARN_UNUSED_RESULT; On 2017/03/15 18:25:30, ...
1 month, 1 week ago (2017-03-15 22:34:24 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2742293004/60001
1 month, 1 week ago (2017-03-16 00:05:31 UTC) #22
commit-bot: I haz the power
1 month, 1 week ago (2017-03-16 00:14:09 UTC) #25
Message was sent while issue was closed.
Committed patchset #2 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/966d0cf62d587368c674f2eafd37...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46